Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class PartyIdentification17

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.PartyIdentification17

    public class PartyIdentification17
    extends java.lang.Object

Java class for PartyIdentification17 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentification17">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:sepade:xsd:pain.008.001.01}Max70Text" minOccurs="0"/>
             <element name="Id" type="{urn:sepade:xsd:pain.008.001.01}PartyPrivate1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyPrivate1` `id`
`protected java.lang.String` `nm`

### Constructor Summary

Constructors
`PartyIdentification17()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyPrivate1` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`void` `setId​(PartyPrivate1 value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### id

    protected PartyPrivate1 id

### Constructor Detail

#### PartyIdentification17

    public PartyIdentification17()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getId

    public PartyPrivate1 getId()

Gets the value of the id property.

Returns:
  possible object is `PartyPrivate1`

#### setId

    public void setId​(PartyPrivate1 value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartyPrivate1`